//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.inf.unisi.ch/carzaniga/siena/
//
//  Author: Antonio Carzaniga (firstname.lastname@unisi.ch)
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2002 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to Antonio Carzaniga (firstname.lastname@unisi.ch).
//
package sienatest;

import siena.*;

public class TestBase {
    public static HierarchicalDispatcher	hdsiena		= null;
    public static ThinClient			tcsiena		= null;
    public static Siena				siena		= null;

    private static int				scount		= 0;
    private static Object			scountLock = new Object();

    public static void addSubscriber() {
	synchronized (scountLock) {
	    scount++;
	}
    }
    
    public static void removeSubscriber() {
	synchronized (scountLock) {
	    if (scount > 0) {
		--scount;
	    } else {
		scount = 0;
	    }
	    if (scount == 0) scountLock.notifyAll();
	}
    }
    
    public static void waitSubscribers() throws InterruptedException {
	while (true) {
	    synchronized (scountLock) {
		if (scount != 0) {
		    scountLock.wait();
		} else {
		    return;
		}
	    }
	}
    }
}
