//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.inf.unisi.ch/carzaniga/siena/
//
//  Author: Antonio Carzaniga (firstname.lastname@unisi.ch)
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2002 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to Antonio Carzaniga (firstname.lastname@unisi.ch).
//
package sienatest;

import siena.*;

class TNBProducer implements Runnable {
    Notifiable buffer;
    int count;

    public TNBProducer(Notifiable b, int c) {
	buffer = b;
	count = c;
    }

    public void run() {
	try {
	    while(count-- > 0) {
		Notification e = new Notification();
		e.putAttribute("x",10);
		e.putAttribute("y",count);
		buffer.notify(e);
	    }
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
    }
};

class TNBConsumer implements Runnable {
    NotificationBuffer buf;
    int count;

    public TNBConsumer(NotificationBuffer b, int c) {
	buf = b;
	count = c;
    }

    public void run() {
	try {
	    Notification e;
	    while(count-- > 0) {
		e = buf.getNotification(-1);
		System.out.println(e.getAttribute("y").intValue());
	    }
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
    }

};

public class TestNotificationBuffer2 {
    public static void main(String args[]) {
	try {
	    int count = Integer.decode(args[0]).intValue();
	    NotificationBuffer buf = new NotificationBuffer();
	    TNBProducer producer = new TNBProducer(buf, count);
	    TNBConsumer consumer = new TNBConsumer(buf, count);
	    new Thread(consumer).start();
	    new Thread(producer).start();
	}
	catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
